Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Class OrientableCurveImpl

    java.lang.Object
      org.deegree.model.spatialschema.GeometryImpl
          org.deegree.model.spatialschema.PrimitiveImpl
              org.deegree.model.spatialschema.OrientablePrimitiveImpl
                  org.deegree.model.spatialschema.OrientableCurveImpl

All Implemented Interfaces:
  Serializable, Geometry, OrientableCurve, OrientablePrimitive, Primitive

Direct Known Subclasses:
  CurveImpl, RingImpl

    public abstract class OrientableCurveImpl

extends OrientablePrimitiveImpl
implements OrientableCurve, Serializable

default implementation of the OrientableSurface interface from package org.deegree.model. the implementation is abstract because only initialization of the spatial reference system is unique to all orientated curves

------------------------------------------------------------

Version:
  11.6.2001
Author:
  Andreas Poth

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.model.spatialschema.OrientablePrimitiveImpl
`orientation`

Fields inherited from class org.deegree.model.spatialschema.GeometryImpl
`boundary, centroid, convexHull, crs, empty, envelope, mute, valid`

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Constructor Summary
`protected` | `OrientableCurveImpl(CoordinateSystem crs)` Creates a new OrientableCurveImpl object.
`protected` | `OrientableCurveImpl(CoordinateSystem crs, char orientation)` Creates a new OrientableCurveImpl object.

Method Summary

Methods inherited from class org.deegree.model.spatialschema.OrientablePrimitiveImpl
`getOrientation, setOrientation`

Methods inherited from class org.deegree.model.spatialschema.GeometryImpl
`calculateParam, clone, contains, contains, difference, distance, equals, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateSystem, getEnvelope, getTolerance, intersection, intersects, isEmpty, isValid, isWithinDistance, setCoordinateSystem, setEmpty, setTolerance, setValid, toString, translate, union`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.model.spatialschema.OrientableCurve
`getCurveBoundary`

Methods inherited from interface org.deegree.model.spatialschema.OrientablePrimitive
`getOrientation, setOrientation`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Constructor Detail

### OrientableCurveImpl

    protected OrientableCurveImpl(CoordinateSystem crs)
                           throws GeometryException

  Creates a new OrientableCurveImpl object.

  Parameters:
    `crs` -
  Throws:
    `GeometryException`

### OrientableCurveImpl

    protected OrientableCurveImpl(CoordinateSystem crs,
                                  char orientation)
                           throws GeometryException

  Creates a new OrientableCurveImpl object.

  Parameters:
    `crs` -
    `orientation` -
  Throws:
    `GeometryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org